
package Logic;

/**
 * This is really just an S-R flip-flo
 * @dependency Logic.ILogicAlgo uses
 */
public interface ILogical
{
	/**
	 * @param algo 
	 * @param param 
	 */
	public abstract Object execute(ILogicAlgo algo, Object param);

	public abstract void setTrue();

	public abstract void setFalse();
}

